Hola, aquest fitxer s'utilitza per inicialitzar un repositori. Podeu esborrar-lo si voleu.


# Títol projecte: Sostre Solar
Membres del Grup 5 dijous: Biel Cachón, Eloi Oriol, Guillem Termens.


## Components i especificacions:


| Tipus | Nom | Full d'especificacions | Enllaços | Cost | Nº de components |
|----------|----------|----------|----------|----------|----------|
| microcontrolador | PIC32MK0256MCJ048 | https://eu.mouser.com/datasheet/2/268/PIC32MK_General_Purpose_and_Motor_Control_With_CAN-2079779.pdf | https://eu.mouser.com/ProductDetail/Microchip-Technology/PIC32MK0256MCJ048-E-Y8X?qs=vmHwEFxEFR%2FV8wN%2Fdp0noA%3D%3D&utm_id=20109199436&gad_source=1&gclid=Cj0KCQjwiMmwBhDmARIsABeQ7xQH9a2TZr2m1vNx6efPJHydH6fvilY8hZCiNDUmhIvzn45y0yINUAgaAsFIEALw_wcB | 7,37 € | 1 |
| Regulador de tensió | LM1117 | https://www.ti.com/lit/ds/symlink/lm1117.pdf?ts=1712478297654&ref_url=https%253A%252F%252Fwww.mouser.pl%252F | https://www.ti.com/product/LM1117?utm_source=google&utm_medium=cpc&utm_campaign=app-null-null-GPN_EN-cpc-pf-google-wwe_cons&utm_content=LM1117&ds_k=LM1117&DCM=yes&gad_source=1&gclid=Cj0KCQjwiMmwBhDmARIsABeQ7xSKaNRQIhjrcePM_OWRZCta4VgnVJV3Y3L0b3PVc6BZLFDOw41fxsAaAgDuEALw_wcB&gclsrc=aw.dsgclsrc=aw.ds | $0.606 | 2 |
| Transiver | SN65HVD230DR | https://www.ti.com/lit/ds/symlink/sn65hvd230.pdf?ts=1712475469571&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252Fes-mx%252FSN65HVD230%252Fpart-details%252FSN65HVD230DR | https://www.ti.com/product/SN65HVD230/part-details/SN65HVD230DR?utm_source=google&utm_medium=cpc&utm_campaign=ocb-tistore-promo-asc_opn_en-cpc-storeic-google-wwe&utm_content=Device&ds_k=SN65HVD230DR&DCM=yes&gad_source=1&gclid=Cj0KCQjwiMmwBhDmARIsABeQ7xTwkaiGlOqA3yloOAFwFa9IAPw4OL3jzKDgkXxH-dURCEXouPimW3QaAkRfEALw_wcB&gclsrc=aw.ds | $1.882 | 1 |
| Cristall principal | ECS-80-8-30Q-VY-TR | https://www.mouser.es/datasheet/2/122/ECX_53Q-1595881.pdf | https://www.mouser.mx/ProductDetail/ECS/ECS-80-8-30Q-VY-TR?qs=T3oQrply3y%2FPdDzysa25VA%3D%3D | 0,577 € | 1 |
| Cristall secundari | ECS-.327-9-34QN-TR   | https://eu.mouser.com/datasheet/2/122/ECX_34Q-938174.pdf | https://eu.mouser.com/ProductDetail/ECS/ECS-.327-9-34QN-TR?qs=%2FnKYMpMO73Or1w%252BiJu7Daw%3D%3D | 0,549 € | 1 |
| Sensor fotoelectric | VISHAY VEML3328SL | https://www.farnell.com/datasheets/3098119.pdf | https://es.farnell.com/vishay/veml3328sl/sensor-color-rgbcir-16bit-i2c/dp/3517204 | 2,66 € | 1 |
| Amplificador operacional | AD8221ARZ | https://eu.mouser.com/datasheet/2/609/AD8227-3119370.pdf | https://eu.mouser.com/ProductDetail/Analog-Devices/AD8227ARZ?qs=%2FtpEQrCGXCwZB%252B4Om7o0JQ%3D%3D | 3,34 € | 2 |
| Botonera | FSM2JSMA | https://eu.mouser.com/datasheet/2/418/9/ENG_CD_2_1437565_7_W2-196474.pdf | https://eu.mouser.com/ProductDetail/TE-Connectivity-PB/FSM2JSMA?qs=WxIUe09p%2FPM9lESJXEVb2Q%3D%3D&utm_id=20109199436&gad_source=1&gclid=Cj0KCQjwq86wBhDiARIsAJhuphm16TnL7ft1ukPe-Q21sAaP2gq4g-yxywKwFTXnSPHZB_bRY_hdIa4aAl71EALw_wcB | 0,186 € | 5 |
| Transistor | BC817 | https://eu.mouser.com/datasheet/2/916/BC817W_SER-1480617.pdf | https://eu.mouser.com/ProductDetail/Nexperia/BC817-40W115?qs=me8TqzrmIYXSHu9caoBQiw%3D%3D&utm_id=9882080341&gad_source=1&gclid=Cj0KCQjwq86wBhDiARIsAJhuphmbRcLH9ZIPsTNu-sAquYOB5dt3eieZVVeAjzUVtpOHPUNVYjHxOYsaApaEEALw_wcB | 0,149 €	 | 4 |
| Relé | RAYEX-L90 | https://www.tme.eu/Document/34314a531f3bb83915b5e448e2467424/l90-w_series.pdf | https://www.tme.eu/es/details/l90-24w/transmisores-electromagn-de-potencia/recoy-rayex-electronics/ | 1.81 € | 4 |
| Díode | 1N4002 | https://www.vishay.com/docs/88503/1n4001.pdf | https://eu.mouser.com/ProductDetail/Vishay-General-Semiconductor/1N4002-E3-73?qs=N4vtoAxH%2FSq9QPbNW86ZdQ%3D%3D&utm_id=20109199436&gad_source=1&gclid=Cj0KCQjwq86wBhDiARIsAJhuphlYb7D_XgPxzBUM5ovzYdAxijAJz7P8BawnQTlnzmLFi8uzbV152soaAvxoEALw_wcB | 0,233 € | 6 |
| Zener | SD15_SOD323 | https://www.smc-diodes.com/propdf/SD05%20THRU%20SD24%20N1787%20REV.B.pdf | https://www.digikey.es/es/products/detail/smc-diode-solutions/SD15/15822314   | 0,28 € | 2 |
| LEDS | WS2812 | https://cdn-shop.adafruit.com/datasheets/WS2812.pdf | https://www.electrocomponentes.es/modulos-led/596-modulo-rgb-led-ws2812-5050-direccionable-tricolor.html | 0,99 € | 3 |


## Historiograma de canvis:


Aquest historiograma comença el 02/04/2024, però el diagrama de blocs es crea al 20/03/2024.
La data esta en notació dd/mm/aaaa.


[01/04/2024]

- Creació del diagrama de blocs (Eloi).

- Creació del Readme (Eloi).

- Un regulador de tensió (TPS7A0333PDBVR) amb una alimentació de 12 V (Guillem).

- Un Transiver (MCP251863T-H/9PXVAO) conectat al CAN i en ell conectat un DB9 (Guillem).

- Una botonera de 3 botóns (Guillem).

- Un cristall principal (ECS-80-20-4VX) i un secundari (ECS-.237-9-34QN-TR) (Guillem).

- Dos drivers per a motor (DRV8210DRLR) conectats a l'alimentació de 12 V i dos motors conectats a aquests (Guillem).

- Uns LEDs NEOPIXEL (Guillem).

- Un sensor final de carrera (Biel).

- Un DB9 (Guillem).

[02/04/2024] Canvis fets:

- Canvi dels drivers del motor per ponts H.

- Afegit Master Clear Reset (MCLR) (Guillem).

[04/04/2024] Canvis fets:

- Afegit el Shunt, conectat als Ponts H (Eloi i Biel).

- DB9 conectat a la USART.

- Afegit Bus de Programació (Guillem)

- Canvi del regulador de tensió TPS7A0333PDBVR per el L78L33ABUTR (Guillem).

- Canvi del transiver MCP251863T-H/9PXVAO per el SN65HVD230DR (Guillem).

- Canviat el Shunt per "Sensor de Corrent".

- Mogut el ISCP i DB9 fora de la placa.

[07/04/2024] Canvis fets:

- Escollit motor de V=12V i P=60W (Guillem).

- Canviat el regulador de tensió per LM1117 (Guillem).

- S'ha escollit LEDs NeoPixel amb driver inclós (SK6812) (Guillem).

- Determinació dels pins del microcontrolador (Eloi i Guillem)

[08/04/2024] Canvis fets:

- Afegit una botonera interna (Guillem).

- Afegit sensor fotoelectric (Biel i Eloi).

[17/04/2024] Canvis fets:

- S'ha proposat un nou disseny de la PCB (Guillem).

- Canviat el regulador de tensió per a 5 V per el Level Shifter SN74LV1T34DBVRG4 (Guillem).

- Afegit els LEDs NEOPIXEL [] (Biel).

- Afegit llista de components al Readme i Diagrama de blocs (Eloi.)

[18/04/2024] Canvis fets:

- S'ha modificat les netclasses i traçat de nou (Eloi).

[19/04/2024] Canvis fets:

- Nou oscil·lador ECS-80-8-30Q-VY-TR (Eloi).

- Connector motor 282837-2 (Eloi).

- Actualitzat noves capacitats del cristall (Guillem).

- Nova disposició LEDs (Guillem).

- Afegit prioritat de plans (Eloi).

[21/04/2024] Canvis fets:

- Parell diferencial (Guillem).

- Capacitats del microcontrolador (Guillem).

- Afetit noms provisionals de ISCP (Eloi).

- Afegit 

[22/04/2024] Canvis fets:

- S'ha posat en pins USARTs els LEDS 31 i 33 (Guillem).

- S'ha afegit un regulador de tensió (Guillem).

- S'ha modificat la PCB per adaptar els LEDs (Guillem).

- S'ha avançat els pressupostos (Biel).

[24/04/2024] Canvis fets:

- S'ha acabat els pressupostos (Biel).

- S'ha realitzat la presentació i retocat coses (Guillem).



## Clases de xarxa:

- UC: 0'127 mm a 1 A
- MOT: 1 mm a 5 A
- LDO: 0'127 mm a 800 mA
- Forats: 0'7 mm

## Diagrama de blocs:

![Alt text](Diagrama_de_blocs.png)